import {
  isBrowser
} from "./chunk-YKE4UGGF.js";
import {
  getGlobalLogger
} from "./chunk-OMZ6RIU5.js";
import {
  LoggerBrowserSetupDebugFactory
} from "./chunk-YIKY3UNI.js";
import {
  LoggerBrowserHandler
} from "./chunk-UPJB4HFF.js";
import {
  isEmpty
} from "./chunk-EOHXRMVQ.js";

// src/browser/log/log-context-browser.ts
function Logger(name, level) {
  return getGlobalLogger((context) => {
    if (isBrowser() && !isEmpty(localStorage.getItem("zeed"))) {
      context.setHandlers([LoggerBrowserHandler()]);
      context.setFactory(LoggerBrowserSetupDebugFactory({}));
    }
  })(name, level);
}

export {
  Logger
};
//# sourceMappingURL=chunk-RPOXSQ36.js.map